-- 基础信息
base_info = {
	group_id = 133210029
}

-- Trigger变量
defs = {
	gadget_prison = 29001,
	duration = 210,
	rampage_time = 40,
	eye_point = 29079
}

-- DEFS_MISCS
local energy_info = {
        [1] = { time = 100, step = {-30,30},points = { 29084, 29085, 29086, 29087, 29088, 29089}},
        --[2] = { time = 180, step = {-1,1},points = {5075,5076,5077,5078,5079,5080}},
}
--这个group对应的图用哪些，这里就填哪些（对应关系请咨询TD）
local disguiseList = {29,30}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[29001] = { config_id = 29001, gadget_id = 70800087, pos = { x = -3807.201, y = 172.715, z = -732.764 }, rot = { x = 0.000, y = 299.643, z = 0.000 }, level = 10, area_id = 17 },
	[29002] = { config_id = 29002, gadget_id = 70800429, pos = { x = -3769.358, y = 171.466, z = -719.591 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[29003] = { config_id = 29003, gadget_id = 70800429, pos = { x = -3816.766, y = 169.292, z = -722.207 }, rot = { x = 0.000, y = 20.000, z = 0.000 }, level = 10, area_id = 17 },
	[29004] = { config_id = 29004, gadget_id = 70800429, pos = { x = -3762.145, y = 175.247, z = -723.256 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[29005] = { config_id = 29005, gadget_id = 70800107, pos = { x = -3797.663, y = 197.000, z = -704.658 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 17 },
	[29006] = { config_id = 29006, gadget_id = 70800429, pos = { x = -3763.384, y = 175.042, z = -731.264 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 10, area_id = 17 },
	[29007] = { config_id = 29007, gadget_id = 70800429, pos = { x = -3830.621, y = 171.505, z = -714.655 }, rot = { x = 0.000, y = 11.000, z = 0.000 }, level = 10, area_id = 17 },
	[29008] = { config_id = 29008, gadget_id = 70800429, pos = { x = -3826.327, y = 171.660, z = -692.952 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 10, area_id = 17 },
	[29009] = { config_id = 29009, gadget_id = 70800429, pos = { x = -3823.455, y = 171.224, z = -732.029 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 10, area_id = 17 },
	[29010] = { config_id = 29010, gadget_id = 70800429, pos = { x = -3839.348, y = 175.221, z = -713.902 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 10, area_id = 17 },
	[29011] = { config_id = 29011, gadget_id = 70800429, pos = { x = -3771.795, y = 171.376, z = -721.897 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 17 },
	[29012] = { config_id = 29012, gadget_id = 70800429, pos = { x = -3836.614, y = 176.112, z = -697.604 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 17 },
	[29013] = { config_id = 29013, gadget_id = 70800429, pos = { x = -3817.777, y = 171.292, z = -734.031 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 17 },
	[29014] = { config_id = 29014, gadget_id = 70800429, pos = { x = -3798.043, y = 171.152, z = -738.397 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[29015] = { config_id = 29015, gadget_id = 70800429, pos = { x = -3832.314, y = 172.755, z = -729.268 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[29016] = { config_id = 29016, gadget_id = 70800429, pos = { x = -3813.015, y = 171.660, z = -688.257 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[29017] = { config_id = 29017, gadget_id = 70800429, pos = { x = -3806.042, y = 171.660, z = -698.284 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 17 },
	[29018] = { config_id = 29018, gadget_id = 70800429, pos = { x = -3790.590, y = 171.660, z = -703.682 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 17 },
	[29020] = { config_id = 29020, gadget_id = 70800429, pos = { x = -3777.950, y = 171.660, z = -700.732 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 10, area_id = 17 },
	[29022] = { config_id = 29022, gadget_id = 70800429, pos = { x = -3828.417, y = 168.512, z = -741.410 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[29023] = { config_id = 29023, gadget_id = 70800429, pos = { x = -3779.629, y = 171.660, z = -714.223 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[29025] = { config_id = 29025, gadget_id = 70800429, pos = { x = -3789.454, y = 169.363, z = -723.276 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[29026] = { config_id = 29026, gadget_id = 70800429, pos = { x = -3792.659, y = 171.434, z = -713.990 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 10, area_id = 17 },
	[29027] = { config_id = 29027, gadget_id = 70800429, pos = { x = -3818.106, y = 171.660, z = -695.332 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 10, area_id = 17 },
	[29028] = { config_id = 29028, gadget_id = 70800430, pos = { x = -3779.946, y = 172.108, z = -706.323 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[29029] = { config_id = 29029, gadget_id = 70800430, pos = { x = -3785.216, y = 175.002, z = -702.686 }, rot = { x = 0.000, y = 196.849, z = 0.000 }, level = 10, area_id = 17 },
	[29030] = { config_id = 29030, gadget_id = 70800430, pos = { x = -3782.457, y = 171.298, z = -735.289 }, rot = { x = 0.000, y = 22.465, z = 0.000 }, level = 10, area_id = 17 },
	[29031] = { config_id = 29031, gadget_id = 70800430, pos = { x = -3780.815, y = 172.108, z = -698.343 }, rot = { x = 0.000, y = 201.706, z = 0.000 }, level = 10, area_id = 17 },
	[29032] = { config_id = 29032, gadget_id = 70800430, pos = { x = -3791.608, y = 171.298, z = -737.578 }, rot = { x = 0.000, y = 262.780, z = 0.000 }, level = 10, area_id = 17 },
	[29033] = { config_id = 29033, gadget_id = 70800430, pos = { x = -3809.909, y = 175.002, z = -693.547 }, rot = { x = 0.000, y = 108.709, z = 0.000 }, level = 10, area_id = 17 },
	[29035] = { config_id = 29035, gadget_id = 70800430, pos = { x = -3829.228, y = 171.298, z = -722.346 }, rot = { x = 0.000, y = 345.761, z = 0.000 }, level = 10, area_id = 17 },
	[29036] = { config_id = 29036, gadget_id = 70800430, pos = { x = -3820.642, y = 171.298, z = -721.424 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[29037] = { config_id = 29037, gadget_id = 70800430, pos = { x = -3812.833, y = 171.298, z = -705.536 }, rot = { x = 0.000, y = 262.533, z = 0.000 }, level = 10, area_id = 17 },
	[29038] = { config_id = 29038, gadget_id = 70800430, pos = { x = -3767.214, y = 172.108, z = -711.197 }, rot = { x = 0.000, y = 269.723, z = 0.000 }, level = 10, area_id = 17 },
	[29039] = { config_id = 29039, gadget_id = 70800430, pos = { x = -3830.380, y = 171.660, z = -709.619 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[29040] = { config_id = 29040, gadget_id = 70800430, pos = { x = -3800.254, y = 171.298, z = -734.901 }, rot = { x = 0.000, y = 289.314, z = 0.000 }, level = 10, area_id = 17 },
	[29041] = { config_id = 29041, gadget_id = 70800430, pos = { x = -3791.761, y = 175.002, z = -681.134 }, rot = { x = 0.000, y = 17.845, z = 0.000 }, level = 10, area_id = 17 },
	[29043] = { config_id = 29043, gadget_id = 70800430, pos = { x = -3815.227, y = 171.298, z = -726.501 }, rot = { x = 0.000, y = 295.920, z = 0.000 }, level = 10, area_id = 17 },
	[29044] = { config_id = 29044, gadget_id = 70800430, pos = { x = -3805.702, y = 171.420, z = -710.311 }, rot = { x = 0.000, y = 65.380, z = 0.000 }, level = 10, area_id = 17 },
	[29046] = { config_id = 29046, gadget_id = 70800430, pos = { x = -3818.018, y = 171.298, z = -703.591 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 17 },
	[29052] = { config_id = 29052, gadget_id = 70800430, pos = { x = -3804.852, y = 171.998, z = -717.689 }, rot = { x = 0.000, y = 17.888, z = 0.000 }, level = 10, area_id = 17 },
	-- 场景猎人引导1
	[29057] = { config_id = 29057, gadget_id = 44000106, pos = { x = -3806.347, y = 171.998, z = -722.850 }, rot = { x = 359.152, y = 51.817, z = 352.282 }, level = 10, area_id = 17 },
	-- 场景猎人引导2
	[29058] = { config_id = 29058, gadget_id = 44000106, pos = { x = -3804.881, y = 172.003, z = -723.240 }, rot = { x = 358.995, y = 49.744, z = 352.671 }, level = 10, area_id = 17 },
	-- 场景猎人引导3
	[29059] = { config_id = 29059, gadget_id = 44000106, pos = { x = -3803.350, y = 172.008, z = -723.652 }, rot = { x = 359.044, y = 51.806, z = 351.954 }, level = 10, area_id = 17 },
	[29066] = { config_id = 29066, gadget_id = 70800412, pos = { x = -3801.739, y = 187.324, z = -705.151 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 17 }
}

-- 区域
regions = {
	[29078] = { config_id = 29078, shape = RegionShape.SPHERE, radius = 200, pos = { x = -3803.985, y = 171.400, z = -739.903 }, area_id = 17 },
	[29079] = { config_id = 29079, shape = RegionShape.SPHERE, radius = 80, pos = { x = -3798.851, y = 165.193, z = -708.137 }, area_id = 17 }
}

-- 触发器
triggers = {
}

-- 点位
points = {
	-- 场景猎手出生点
	{ config_id = 29080, pos = { x = -3807.958, y = 171.503, z = -733.804 }, rot = { x = 0.000, y = 21.331, z = 0.000 }, area_id = 17 },
	-- 场景游侠出生点1
	{ config_id = 29081, pos = { x = -3806.347, y = 171.998, z = -722.850 }, rot = { x = 354.979, y = 17.930, z = 354.070 }, area_id = 17 },
	-- 场景游侠出生点2
	{ config_id = 29082, pos = { x = -3804.882, y = 172.003, z = -723.240 }, rot = { x = 355.203, y = 17.241, z = 354.363 }, area_id = 17 },
	-- 场景游侠出生点3
	{ config_id = 29083, pos = { x = -3803.351, y = 172.008, z = -723.653 }, rot = { x = 355.179, y = 22.207, z = 353.481 }, area_id = 17 },
	-- 能量随机点1
	{ config_id = 29084, pos = { x = -3808.865, y = 169.427, z = -738.386 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 17 },
	-- 能量随机点1
	{ config_id = 29085, pos = { x = -3776.616, y = 171.969, z = -739.449 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 17 },
	-- 能量随机点1
	{ config_id = 29086, pos = { x = -3842.353, y = 174.345, z = -719.863 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 17 },
	-- 能量随机点1
	{ config_id = 29087, pos = { x = -3830.450, y = 176.001, z = -687.489 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 17 },
	-- 能量随机点1
	{ config_id = 29088, pos = { x = -3797.344, y = 173.775, z = -701.911 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 17 },
	-- 能量随机点1
	{ config_id = 29089, pos = { x = -3773.868, y = 171.660, z = -702.657 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 17 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 29001 },
		regions = { 29078, 29079 },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { 29002, 29003, 29004, 29006, 29007, 29008, 29009, 29010, 29011, 29012, 29013, 29014, 29015, 29016, 29017, 29018, 29020, 29022, 29023, 29025, 29026, 29027, 29028, 29029, 29030, 29031, 29032, 29033, 29035, 29036, 29037, 29038, 29039, 29040, 29041, 29043, 29044, 29046, 29052 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = ,
		monsters = { },
		gadgets = { 29005, 29066 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 4,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V3_3/HideAndSeek_Gallery_V3"
require "V3_3/HideAndSeek_Skill_V3"
